import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Popups 0.1

// Page for settings (units by now)
Page {
    id: settingsPage
    objectName: "SettingsPage"
    title: i18n.tr("Settings")
    visible:false

    property bool settingsChanged: false

    tools: ToolbarItems {
        locked: true
        opened: true
        back: ToolbarButton {
            objectName: "BackButton"
            text: i18n.tr("Back")
            iconSource: Qt.resolvedUrl("../resources/images/back@18.png")
            onTriggered: {
                if(settingsChanged) {
                    if(imperialSwitch.checked){
                      storage.saveSetting("units","imperial");
                    }else{
                      storage.saveSetting("units","metric");
                    }
                    storage.getSettings(function(storedSettings) {
                        for(var settingName in storedSettings) {
                            settings[settingName] = storedSettings[settingName];
                        }
                        refreshData(true);
                    });
                    settingsChanged = false;
                }
                if(pageStack.depth === 2) pageStack.pop()
            }
        }
    }

    Rectangle {
        anchors {
            right: parent.right
            rightMargin: units.gu(1)
            left: parent.left
            leftMargin: units.gu(1)
            top: parent.top
            topMargin: units.gu(3)
        }
        Label {
            id: imperialString
            width: units.gu(21)
            anchors {
                verticalCenter: parent.verticalCenter
                left: parent.left
            }

            text: i18n.tr("Use imperial units")
        }
        Switch {
            id: imperialSwitch
            objectName: "ImperialSwitch"
            anchors {
                verticalCenter: parent.verticalCenter
                right: parent.right
            }
            Component.onCompleted: {
                storage.getSettings(function(storedSettings) {
                    if (storedSettings['units'] === 'imperial')
                        imperialSwitch.checked = true;
                    else
                        imperialSwitch.checked = false;
                });
            }
            onCheckedChanged: {
                settingsChanged = true;
            }
        }
    }
}
